com.atid.lib.module.barcode.ssi.type

## Enum DecodeUpcEanJanSupplementals

- java.lang.Object
- - java.lang.Enum<DecodeUpcEanJanSupplementals>
  - - com.atid.lib.module.barcode.ssi.type.DecodeUpcEanJanSupplementals

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<DecodeUpcEanJanSupplementals>

      public enum DecodeUpcEanJanSupplementals
      extends java.lang.Enum<DecodeUpcEanJanSupplementals>
      implements IEnumType

  Supplementals are bar codes appended according to specific format conventions (e.g., UPC A+2, UPC E+2, EAN 13+2).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Autodiscriminate` the decoder decodes UPC/EAN symbols with supplemental characters immediately.
    `Decode` the decoder only decodes UPC/EAN symbols with supplemental characters, and ignores symbols without supplementals.
    `Enable378_378`
    `Enable414_419_434_439`
    `Enable491`
    `Enable977`
    `Enable978_979`
    `EnableSmart` Enable Smart Supplemental Mode - applies to EAN-13 bar codes starting with any prefix listed previously.
    `Ignore` decoder is presented with a UPC/EAN plus supplemental symbol, the decoder decodes UPC/EAN and ignores the supplemental characters.
    `SmartSupplementalPlusUserProgrammable1` Smart Supplemental Plus User-Programmable 1 - applies to EAN-13 bar codes starting with any prefix listed previously or the user-defined prefix set using User-Programmable Supplementals.
    `SmartSupplementalPlusUserProgrammable1_2` Smart Supplemental Plus User-Programmable 1 and 2 - applies to EAN-13 bar codes starting with any prefix listed previously or one of the two user-defined prefixes set using User-Programmable Supplementals.
    `SupplementalUserProgrammableType1` Supplemental User-Programmable Type 1 - applies to EAN-13 bar codes starting with a 3-digit user-defined prefix.
    `SupplementalUserProgrammableType1_2` Supplemental User-Programmable Type 1 and 2 - applies to EAN-13 bar codes starting with either of two 3-digit user-defined prefixes.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static DecodeUpcEanJanSupplementals` | `valueOf(int code)`
    `static DecodeUpcEanJanSupplementals` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DecodeUpcEanJanSupplementals[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Ignore

          public static final DecodeUpcEanJanSupplementals Ignore

      decoder is presented with a UPC/EAN plus supplemental symbol, the decoder decodes UPC/EAN and ignores the supplemental characters.

    - #### Decode

          public static final DecodeUpcEanJanSupplementals Decode

      the decoder only decodes UPC/EAN symbols with supplemental characters, and ignores symbols without supplementals.

    - #### Autodiscriminate

          public static final DecodeUpcEanJanSupplementals Autodiscriminate

      the decoder decodes UPC/EAN symbols with supplemental characters immediately. If the symbol does not have a supplemental, the decoder must decode the bar code the number of times set via UPC/EAN/JAN Supplemental Redundancy before transmitting its data to confirm that there is no supplemental.

    - #### EnableSmart

          public static final DecodeUpcEanJanSupplementals EnableSmart

      Enable Smart Supplemental Mode - applies to EAN-13 bar codes starting with any prefix listed previously.

    - #### Enable378_378

          public static final DecodeUpcEanJanSupplementals Enable378_378

    - #### Enable978_979

          public static final DecodeUpcEanJanSupplementals Enable978_979

    - #### Enable414_419_434_439

          public static final DecodeUpcEanJanSupplementals Enable414_419_434_439

    - #### Enable977

          public static final DecodeUpcEanJanSupplementals Enable977

    - #### Enable491

          public static final DecodeUpcEanJanSupplementals Enable491

    - #### SupplementalUserProgrammableType1

          public static final DecodeUpcEanJanSupplementals SupplementalUserProgrammableType1

      Supplemental User-Programmable Type 1 - applies to EAN-13 bar codes starting with a 3-digit user-defined prefix. Set this 3-digit prefix using User-Programmable Supplementals.

    - #### SupplementalUserProgrammableType1_2

          public static final DecodeUpcEanJanSupplementals SupplementalUserProgrammableType1_2

      Supplemental User-Programmable Type 1 and 2 - applies to EAN-13 bar codes starting with either of two 3-digit user-defined prefixes. Set the 3-digit prefixes using User-Programmable Supplementals.

    - #### SmartSupplementalPlusUserProgrammable1

          public static final DecodeUpcEanJanSupplementals SmartSupplementalPlusUserProgrammable1

      Smart Supplemental Plus User-Programmable 1 - applies to EAN-13 bar codes starting with any prefix listed previously or the user-defined prefix set using User-Programmable Supplementals.

    - #### SmartSupplementalPlusUserProgrammable1_2

          public static final DecodeUpcEanJanSupplementals SmartSupplementalPlusUserProgrammable1_2

      Smart Supplemental Plus User-Programmable 1 and 2 - applies to EAN-13 bar codes starting with any prefix listed previously or one of the two user-defined prefixes set using User-Programmable Supplementals.

  - ### Method Detail

    - #### values

          public static DecodeUpcEanJanSupplementals[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DecodeUpcEanJanSupplementals c : DecodeUpcEanJanSupplementals.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DecodeUpcEanJanSupplementals valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<DecodeUpcEanJanSupplementals>`

    - #### valueOf

          public static DecodeUpcEanJanSupplementals valueOf(int code)